org.keycloak.admin.client

## Class JacksonProvider

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.base.ProviderBase<com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider,com.fasterxml.jackson.databind.ObjectMapper,com.fasterxml.jackson.jaxrs.json.JsonEndpointConfig,com.fasterxml.jackson.jaxrs.json.JsonMapperConfigurator>
  - - com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider
    - - com.fasterxml.jackson.jaxrs.json.JacksonJaxbJsonProvider
      - - org.jboss.resteasy.plugins.providers.jackson.ResteasyJackson2Provider
        - - org.keycloak.admin.client.JacksonProvider

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, javax.ws.rs.ext.MessageBodyReader<Object>, javax.ws.rs.ext.MessageBodyWriter<Object>

      public class JacksonProvider
      extends org.jboss.resteasy.plugins.providers.jackson.ResteasyJackson2Provider

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.jackson.ResteasyJackson2Provider

      `_readers, _writers`

    - ### Fields inherited from class com.fasterxml.jackson.jaxrs.json.JacksonJaxbJsonProvider

      `DEFAULT_ANNOTATIONS`

    - ### Fields inherited from class com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider

      `_jsonpFunctionName, _providers, BASIC_ANNOTATIONS, MIME_JAVASCRIPT, MIME_JAVASCRIPT_MS`

    - ### Fields inherited from class com.fasterxml.jackson.jaxrs.base.ProviderBase

      `_cfgCheckCanDeserialize, _cfgCheckCanSerialize, _cfgCustomUntouchables, _defaultReadView, _defaultWriteView, _jaxRSFeatures, _mapperConfig, _noContentExceptionRef, _unreadableClasses, _untouchables, _unwritableClasses, CLASS_NAME_NO_CONTENT_EXCEPTION, DEFAULT_UNREADABLES, DEFAULT_UNTOUCHABLES, DEFAULT_UNWRITABLES, HEADER_CONTENT_TYPE_OPTIONS, JAXRS_FEATURE_DEFAULTS, noContentExceptionSupplier`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JacksonProvider()`

  - ### Method Summary

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jackson.ResteasyJackson2Provider

      `isReadable, isWriteable, readFrom, writeTo`

    - ### Methods inherited from class com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider

      `_configForReading, _configForWriting, _locateMapperViaProvider, hasMatchingMediaType, setJSONPFunctionName, version`

    - ### Methods inherited from class com.fasterxml.jackson.jaxrs.base.ProviderBase

      `_addSuperTypes, _configForReading, _configForWriting, _containedIn, _createGenerator, _createNoContentException, _createParser, _endpointForReading, _endpointForWriting, _findCustomUntouchable, _isIgnorableForReading, _isIgnorableForWriting, _isSpecialReadable, _modifyHeaders, addUntouchable, checkCanDeserialize, checkCanSerialize, configure, configure, configure, configure, configure, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, findEncoding, findSuperTypes, findSuperTypes, getSize, hasMatchingMediaTypeForReading, hasMatchingMediaTypeForWriting, isEnabled, locateMapper, removeUntouchable, setAnnotationsToUse, setDefaultReadView, setDefaultView, setDefaultWriteView, setMapper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JacksonProvider

          public JacksonProvider()

Copyright © 2020 JBoss by Red Hat. All rights reserved.